# std::chrono::year_month_weekday::ok

From cppreference.com
< cpp‎ | chrono‎ | year month weekday

constexpr bool ok() const noexcept; |  | (since C++20)

Checks if this `year_month_weekday` object represents a valid date.

### Return value

true if this `year_month_weekday` object represents a valid date, that is, year().ok() && month().ok() && weekday_indexed().ok() is true and there are at least index() weekday()s in the specified year and month. Otherwise false.

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/chrono/year_month_weekday/ok&oldid=104837"